For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all amenities
        • GETGet an amenity by ID
        • POSTCreate Amenity: Rentvine - Not Supported
        • PUTUpdate Amenity: Rentvine - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineAmenities

Update Amenity: Rentvine - Not Supported

PUT
/v1/amenities/rentvine/:id
PUT
/v1/amenities/rentvine/:id
$curl -X PUT https://api.propexo.com/v1/amenities/rentvine/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Rentvine does not support updating an amenity via their API. This endpoint will always return a 405, with an error message specifying that updating an amenity in a Rentvine integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Get all applicants

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error